> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puplar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> page and limit on list endpoints

| Parameter | Default | Max   |
| --------- | ------- | ----- |
| `page`    | `1`     | —     |
| `limit`   | `20`    | `100` |

```bash theme={"theme":{"light":"min-light","dark":"poimandres"}}
curl "https://api.puplar.com/customers?page=1&limit=50" \
  -H "Authorization: Bearer sk_test_your_key"
```

```json theme={"theme":{"light":"min-light","dark":"poimandres"}}
{
  "message": "Customers retrieved",
  "data": {
    "docs": [],
    "totalDocs": 142,
    "limit": 20,
    "page": 1,
    "totalPages": 8,
    "hasNextPage": true,
    "hasPrevPage": false,
    "nextPage": 2,
    "prevPage": null
  }
}
```

Loop while `hasNextPage` is true. Prefer `limit=100` when you need everything.
